#include <stdlib.h>

char*
make_tempname (const char *fname)
{
  static char buf[2048];
  const char *tmpdir = getenv ("TMP");
  if (!tmpdir)
    tmpdir = "/tmp";
  
  strcpy (buf, tmpdir);
  strcat (buf, "/");
  strcat (buf, "cdk_");
  strcat (buf, fname);
  return buf;
}
  
  
char*
make_filename (const char *fname)
{
  static char buf[2048];
  const char *srcdir = getenv ("srcdir");
  
  if (!srcdir)
    srcdir = ".";
  strcpy (buf, srcdir);
  strcat (buf, "/");
  strcat (buf, fname);
  return buf;
}
